Bug 221850 - IndexOutOfBoundsException: Index: 4, Tab count: 4
IndexOutOfBoundsException: Index: 4, Tab count: 4
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.3
All All
: P2 (vote)
: 7.3
Assigned To: Jiri Sedlacek
issues@profiler
EXCEPTIONS_REPORT
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-09 17:17 UTC by Petr Cyhelsky
Modified: 2013-07-04 07:24 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.79 KB, text/plain)
2012-11-09 17:17 UTC, Petr Cyhelsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Cyhelsky 2012-11-09 17:17:18 UTC
Build: NetBeans IDE Dev (Build 201211050001)
VM: Java HotSpot(TM) 64-Bit Server VM, 23.6-b03, Java(TM) SE Runtime Environment, 1.7.0_10-ea-b09
OS: Linux

User Comments:
cyhelsky: clicking on select all  while viewing stacktrace from npss snapshot




Stacktrace: 
java.lang.IndexOutOfBoundsException: Index: 4, Tab count: 4
   at javax.swing.JTabbedPane.checkIndex(JTabbedPane.java:1768)
   at javax.swing.JTabbedPane.setSelectedIndex(JTabbedPane.java:589)
   at org.netbeans.lib.profiler.ui.ResultsView.selectView(ResultsView.java:201)
   at org.netbeans.modules.profiler.CPUSnapshotPanel.setState(CPUSnapshotPanel.java:1225)
   at org.netbeans.modules.profiler.SnapshotResultsWindow.setState(SnapshotResultsWindow.java:363)
   at org.netbeans.modules.profiler.snaptracer.impl.TracerView.addContents(TracerView.java:294)
Comment 1 Petr Cyhelsky 2012-11-09 17:17:21 UTC
Created attachment 127500 [details]
stacktrace
Comment 2 Petr Cyhelsky 2012-11-09 17:39:10 UTC
Steps to reproduce: Open some npss snapshot -> create new "subtree" or "backtraces" tab -> click into timeline to go to the stacktrace -> Try to go back to "call tree" tab (either by selecting interval or clicking on "select all" button) -> exception occurs and there is no way now how to get back to call tree except for closing the snapshot altogether and reopening it.
Comment 3 Jiri Sedlacek 2012-11-09 18:43:47 UTC
Fixed by http://hg.netbeans.org/profiler-main/rev/d9f0d1c94d2d.
Comment 4 Quality Engineering 2012-11-15 02:45:11 UTC
Integrated into 'main-golden', will be available in build *201211150001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d9f0d1c94d2d
User: Jiri Sedlacek <jis@netbeans.org>
Log: Bugfix #221850 - only persist the default tabs


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo